Subject: bug#13399: 24.3.50; Word-wrap can't wrap at zero-width space U-200B

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Jan 2013 08:20:50 -0500

> But why would we need that?  Most everything we need to know about
> display is already tracked by the display iterator, so available even
> without generating glyphs, and that's what the move_it_* functions do.
> These function do their job by traversing only small portions of the
> buffer, just large enough for the job at hand to be done.

What about posn-at-point?

> OTOH, updating the entire glyph matrices of all of the windows on all
> of the frames AFAIR takes the lion's share of time used by redisplay,
> so we might as well force a complete redisplay when we do need
> complete up-to-date matrices.

posn-at-point doesn't need to refresh all glyph matrices, only the one
of the selected window.

        Stefan